﻿using FluentNHibernate.Mapping;
using System.Collections.Generic;

namespace FluentNHibernateMappings
{
    public class Class
    {
        public virtual int Id { get; set; }
        public virtual string Name { get; set; }
        public virtual Teacher Teacher { get; set; }
    }

    public class ClassMap : ClassMap<Class>
    {
        public ClassMap()
        {
            Id(u => u.Id).GeneratedBy.Identity();
            Map(u => u.Name).Nullable();
            References(x => x.Teacher)
                .Column("TeacherId")
                .Not.Nullable();
        }
    }
}
